## org.eclipse.emf.ecore.resource
Interface Resource.Factory

All Known Subinterfaces:
  Ecore2XMLResource.Factory

All Known Implementing Classes:
  Ecore2EcoreResourceFactoryImpl, Ecore2XMLResourceFactoryImpl, EcoreResourceFactoryImpl, EMOFResourceFactoryImpl, GenericXMLResourceFactoryImpl, ResourceFactoryImpl, XMIResourceFactoryImpl, XMLResourceFactoryImpl

Enclosing interface:
  Resource

    public static interface Resource.Factory

A factory for creating resources.

A factory is implemented to `create` a specialized type of resource and is typically registered in `registry`.

See Also:
  `ResourceSet.createResource(URI)`

Nested Class Summary
`static interface` `Resource.Factory.Descriptor` A descriptor used by a resource factory registry to defer factory creation.
`static interface` `Resource.Factory.Registry` A registry of resource factories.

Method Summary
`Resource` `createResource(URI uri)` Creates a resource with the given URI and returns it.

Method Detail

### createResource

    Resource createResource(URI uri)

  Creates a resource with the given URI and returns it.

  Clients will typically not call this directly themselves; it's called by the resource set to `create` a resource.

  Parameters:
    `uri` - the URI.
  Returns:
    a new resource.
  See Also:
    `ResourceSet.createResource(URI)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.